Core - Bug # 42281

Status: Resolved Priority: Should have
Author: Oliver Hader Category: Backend API
Created: 2012-10-22 Assigned To: Oliver Hader
Updated: 2012-11-02 Due date:

TYPO3 Version: 4.5

PHP Version: 53

Complexity:

Is Regression:

Sprint Focus:

Subject: Translated non-published page in workspace breaks live workspace

Description

#1: PHP Catchable Fatal Error: Argument 2 passed to TYPO3\CMS\Backend\Utility\lconUtility::getSpritelconForRecord() must be an
array, null given, called in typo3/sysext/backend/Classes/View/PagelLayoutView.php on line 585 and defined in
typo3/sysext/backend/Classes/Utility/IconUtility.php line 680 (More information)

How to reproduce on master:
- switch to some workspace
- create a new translation of a page
- switch back to live workspace

Associated revisions

Revision 11a52d7c - 2012-11-02 15:03 - Oliver Hader

[BUGFIX] Translated non-published page in workspace breaks live workspace

Translation of pages are stored in pages_language_overlay and
can be managed in workspaces as well. If a new translation is
created in the workspace only, the page module is broken in
the live workspace.

The reason for that is, that workspaces placeholders need to

be ignored if not working on a real workspace.

Change-Id: led52a985c3cb1c07961616679414799d956024d8
Releases: 6.0, 4.7, 4.6, 4.5

Fixes: #42281

Reviewed-on: http://review.typo3.org/15958

Reviewed-by: Steffen Ritter

Tested-by: Steffen Ritter

Reviewed-by: Oliver Hader

Tested-by: Oliver Hader

Revision b69dc9da - 2012-11-02 15:12 - Oliver Hader

[BUGFIX] Translated non-published page in workspace breaks live workspace

Translation of pages are stored in pages_language_overlay and
can be managed in workspaces as well. If a new translation is
http://review.typo3.org/15958

created in the workspace only, the page module is broken in

the live workspace.

The reason for that is, that workspaces placeholders need to
be ignored if not working on a real workspace.

Change-Id: led52a985c3cb1c07961616679414799d956024d8
Releases: 6.0, 4.7, 4.6, 4.5

Fixes: #42281

Reviewed-on: http://review.typo3.org/16135

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision 5de18077 - 2012-11-02 15:12 - Oliver Hader

[BUGFIX] Translated non-published page in workspace breaks live workspace

Translation of pages are stored in pages_language_overlay and
can be managed in workspaces as well. If a new translation is
created in the workspace only, the page module is broken in
the live workspace.

The reason for that is, that workspaces placeholders need to
be ignored if not working on a real workspace.

Change-Id: led52a985c3cb1c07961616679414799d956024d8
Releases: 6.0, 4.7, 4.6, 4.5

Fixes: #42281

Reviewed-on: http://review.typo3.org/16136

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision dba123bc - 2012-11-02 15:12 - Oliver Hader

[BUGFIX] Translated non-published page in workspace breaks live workspace

Translation of pages are stored in pages_language_overlay and
can be managed in workspaces as well. If a new translation is
created in the workspace only, the page module is broken in
the live workspace.

The reason for that is, that workspaces placeholders need to
be ignored if not working on a real workspace.

Change-Id: 1ed52a985c3cb1c0796f616679414799d956024d8
Releases: 6.0, 4.7, 4.6, 4.5

Fixes: #42281

Reviewed-on: http://review.typo3.org/16137

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
History

#1 - 2012-10-22 19:26 - Oliver Hader
- Status changed from New to Accepted

#2 - 2012-10-22 20:57 - Oliver Hader
- Target version changed from 6.0.0-RC1 to 4.5.21
- TYPOS3 Version changed from 6.0 to 4.5

#3 - 2012-10-26 15:38 - Oliver Hader
- Assigned To set to Oliver Hader

#4 - 2012-10-26 16:15 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/15958

#5 - 2012-11-02 15:09 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.

It is available at http://review.typo3.org/16135

#6 - 2012-11-02 15:10 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-6 has been pushed to the review server.

It is available at http://review.typo3.org/16136

#7 - 2012-11-02 15:10 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 has been pushed to the review server.

It is available at http://review.typo3.org/16137

#8 - 2012-11-02 15:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:dba123bc69abc5e98bc55b2b2¢c13df276d79037a.
